Skip to main content
`Ctrl`+`K`

# smallpond.logical.node.Context

class smallpond.logical.node.Context

  Global context for each logical plan. Right now it’s mainly used to keep a list of Python UDFs.

  __init__() → None

  Methods

  `__init__`() |
  `create_duckdb_extension`(extension_path[, name]) | Load a DuckDB extension.
  `create_external_module`(module_path[, name]) | Load an external DuckDB module.
  `create_function`(name, func, params, return_type) | Define a Python UDF to be referenced in the logical plan.